Bug 225448 - print/tex-luatex: compiler error: invalid suffix on literal; C++11 requires a space between literal and identifier
Summary: print/tex-luatex: compiler error: invalid suffix on literal; C++11 requires a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-25 13:42 UTC by O. Hartmann
Modified: 2018-02-07 19:12 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
svn-diff-tex_luatex (1.24 KB, patch)
2018-01-31 15:45 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff-tex_luatex_v2 (1.56 KB, patch)
2018-01-31 15:48 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2018-01-25 13:42:56 UTC
On  recent CURRENT with the very same jail, poudriere fails to build port print/tex-luatex and fails with the error shown below. The base system (as well as the jail) is running FreeBSD 12.0-CURRENT #45 r328300: Tue Jan 23 21:42:45 CET 2018 amd64.


[...]
Writing the output file (pdftoepdf.cc):.....500...
Done.
(No errors were found.)
c++ -DHAVE_CONFIG_H -I. -I./w2c  -I/usr/local/lib -I/usr/local/include   -I/usr/local/include/libpng16 -DPOPPLER_VERSION=\"0.57.0\" -I/usr/local/include/poppler -I./libmd5  -DpdfTeX -I./luatexdir  -DSYNCTEX_ENGINE_H='<synctex-luatex.h>' -I./synctexdir -I/usr/local/include/texlua52  -I./../../libs/lua52/lua-5.2.4/src -DLUA_COMPAT_MODULE -DLUAI_HASHLIMIT=6 -DLUA_USE_POSIX -DLUA_USE_DLOPEN -I/usr/local/include  -O2 -pipe -fstack-protector -fno-strict-aliasing -MT libluatex_a-pdftoepdf.o -MD -MP -MF .deps/libluatex_a-pdftoepdf.Tpo -c -o libluatex_a-pdftoepdf.o `test -f 'pdftoepdf.cc' || echo './'`pdftoepdf.cc
./luatexdir/image/pdftoepdf.w:73:34: error: invalid suffix on literal; C++11 requires a space between literal and identifier [-Wreserved-user-defined-literal]
snprintf(ck,PDF_CHECKSUM_SIZE,"%"PRIu64"_%"PRIu64,(uint64_t)size,
                                 ^
                                  
./luatexdir/image/pdftoepdf.w:73:44: error: invalid suffix on literal; C++11 requires a space between literal and identifier [-Wreserved-user-defined-literal]
snprintf(ck,PDF_CHECKSUM_SIZE,"%"PRIu64"_%"PRIu64,(uint64_t)size,
                                           ^
                                            
2 errors generated.
*** Error code 1

Stop.
make[3]: stopped in /wrkdirs/usr/ports/print/tex-luatex/work/texlive-20150521-source/texk/web2c
*** Error code 1
Comment 1 w.schwarzenfeld freebsd_triage 2018-01-31 15:45:19 UTC
Created attachment 190224 [details]
svn-diff-tex_luatex
Comment 2 w.schwarzenfeld freebsd_triage 2018-01-31 15:45:39 UTC
Please, try this patch.
Comment 3 w.schwarzenfeld freebsd_triage 2018-01-31 15:48:04 UTC
Created attachment 190225 [details]
svn-diff-tex_luatex_v2

Forgot to bump porrrevision.
Comment 4 O. Hartmann 2018-02-03 17:07:06 UTC
The patch works for me. When will it be committed?
Comment 5 Kurt Jaeger freebsd_committer 2018-02-04 20:40:06 UTC
testbuilds look ok. waiting for maintainer-approval or maintainer-timeout.
Comment 6 Kurt Jaeger freebsd_committer 2018-02-07 19:10:52 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2018-02-07 19:11:04 UTC
A commit references this bug:

Author: pi
Date: Wed Feb  7 19:10:49 UTC 2018
New revision: 461171
URL: https://svnweb.freebsd.org/changeset/ports/461171

Log:
  print/tex-luatex: fix build with C++11 compilers on CURRENT

  PR:		225448
  Reported by:	O.Hartmann <ohartmann@walstatt.org>
  Approved by:	hrs (maintainer timeout)
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>

Changes:
  head/print/tex-luatex/Makefile
  head/print/tex-luatex/files/patch-pdftoepdf.w
Comment 8 commit-hook freebsd_committer 2018-02-07 19:12:07 UTC
A commit references this bug:

Author: pi
Date: Wed Feb  7 19:11:46 UTC 2018
New revision: 461172
URL: https://svnweb.freebsd.org/changeset/ports/461172

Log:
  print/tex-luatex: pet portlint

  PR:		225448

Changes:
  head/print/tex-luatex/Makefile